org.eclipse.aether.internal.impl

## Class DefaultDependencyCollector

- java.lang.Object
- - org.eclipse.aether.internal.impl.DefaultDependencyCollector

- All Implemented Interfaces:
    DependencyCollector, Service

      @Named
      @Component(role=DependencyCollector.class)
      public class DefaultDependencyCollector
      extends Object
      implements DependencyCollector, Service

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDependencyCollector()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CollectResult` | `collectDependencies(RepositorySystemSession session, CollectRequest request)`
    `void` | `initService(ServiceLocator locator)` Provides the opportunity to initialize this service and to acquire other services for its operation from the locator.
    `DefaultDependencyCollector` | `setArtifactDescriptorReader(ArtifactDescriptorReader artifactDescriptorReader)`
    `DefaultDependencyCollector` | `setLoggerFactory(LoggerFactory loggerFactory)`
    `DefaultDependencyCollector` | `setRemoteRepositoryManager(RemoteRepositoryManager remoteRepositoryManager)`
    `DefaultDependencyCollector` | `setVersionRangeResolver(VersionRangeResolver versionRangeResolver)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultDependencyCollector

          public DefaultDependencyCollector()

  - ### Method Detail

    - #### initService

          public void initService(ServiceLocator locator)

      Description copied from interface: `Service`
      Provides the opportunity to initialize this service and to acquire other services for its operation from the locator. A service must not save the reference to the provided service locator.
      Specified by:
        `initService` in interface `Service`
      Parameters:
        `locator` - The service locator, must not be `null`.

    - #### setLoggerFactory

          public DefaultDependencyCollector setLoggerFactory(LoggerFactory loggerFactory)

    - #### setRemoteRepositoryManager

          public DefaultDependencyCollector setRemoteRepositoryManager(RemoteRepositoryManager remoteRepositoryManager)

    - #### setArtifactDescriptorReader

          public DefaultDependencyCollector setArtifactDescriptorReader(ArtifactDescriptorReader artifactDescriptorReader)

    - #### setVersionRangeResolver

          public DefaultDependencyCollector setVersionRangeResolver(VersionRangeResolver versionRangeResolver)

    - #### collectDependencies

          public CollectResult collectDependencies(RepositorySystemSession session,
                                          CollectRequest request)
                                            throws DependencyCollectionException

      Specified by:
        `collectDependencies` in interface `DependencyCollector`
      Throws:
        `DependencyCollectionException`
      See Also:
        `RepositorySystem.collectDependencies(RepositorySystemSession, CollectRequest)`

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.